{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Sign Up</title>
<link rel="stylesheet" href="{% static 'userAuth/css/style.css' %}">
<link rel="stylesheet" href="{% static 'userAuth/css/main.css' %}">
{% endblock meta %}

{% block content %}
    <div class="container">
        <div id="content" class="content" style="background-image: url({% static 'main/img/space2.jpg' %}); background-size: 100% auto;">
            
            <div class="form-background">
                <div id="judul">
                    <p>Sign Up</p>
                </div>
            
                <div class="form">
                    <form method="POST">
                        {% csrf_token %}
                        <div class="form-group">
                            {{ form.username }}
                        </div>
                        <div class="form-group">
                        
                            {{ form.password1.help_text }}<br>
                            {{ form.password1 }}
                        </div>
                        <div class="form-group">
                            {{ form.password2 }}
                        </div>
                        
                        {{ form.username.errors }}
                        {{ form.password1.errors }}
                        {{ form.password2.errors }}
                        {{ form.non_field_errors }}
                        
                        <div class="kanankiri center">
                            <button type="submit" class="button1">Sign Up</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}